%include	/usr/lib/rpm/macros.perl
%define		pdir	Locale
%define		pnam	gettext
Summary:	Locale::gettext Perl module - message handling functions
Summary(pl.UTF-8):	Moduł Perla Locale::gettext - funkcje do obsługi komunikatów
Name:		perl-Locale-gettext
Version:	1.07
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Locale/%{pnam}-%{version}.tar.gz
# Source0-md5:	bc652758af65c24500f1d06a77415019
URL:		http://search.cpan.org/dist/gettext/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-gettext
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Locale::gettext is a Perl 5 module quickly written to gain access to
the C library functions for internatialization.  They work just like
the C versions.

%description -l pl.UTF-8
Locale::gettext jest modułem Perla umożliwiającym dostęp do funkcji
ułatwiających umiędzynarodowienie programów. Działają one tak samo
jak ich wersje w C.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	LDDLFLAGS="%{rpmcflags} -shared"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Locale/gettext.pm
%dir %{perl_vendorarch}/auto/Locale/gettext
%attr(755,root,root) %{perl_vendorarch}/auto/Locale/gettext/gettext.so
%{_mandir}/man3/Locale::gettext.3pm*
%changelog
* Sun Oct 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Locale-gettext.git;a=log;h=master

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> e455aa4
- rebuild with perl 5.24.0
- release 2 (by relup.sh)

* Mon Feb 15 2016 Jakub Bogusz <qboosh@pld-linux.org> adaa493
- updated to 1.07
- removed obsolete perl510 patch

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9c0efcb
- release 15 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3876ec5
- x32 rebuild
- release 14 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cdcf0dd
- x32 rebuild
- release 13 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> ea9e5a7
- release 12 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> cb3b56c
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 663a6b5
- rebuild for perl 5.20
- release 11 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 9694e12
- rebuild with perl 5.18.0
- release 10 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> dfdd016
- rel 9

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 3ecce7d
- rel 8

* Tue Oct 26 2010 Jakub Bogusz <qboosh@pld-linux.org> 8ededcd
- more explicit files

* Sun Jun 06 2010 radek <radek@pld-linux.org> 27b1c1b
- release 7

* Thu Oct 29 2009 Szymon Siwek <sls@pld-linux.org> 7ba6202
- added perl510.patch

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 3aceabb
- release 5

* Sun Mar 02 2008 radek <radek@pld-linux.org> 5272279
- release 4

* Fri Feb 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ab381fb
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> d7637f2
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 97e7727
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ff5f6ab
- tabs in preamble

